# Class Nip55Signer

#### Implements

- ISigner

- Defined in packages/signer/src/signers/nip55.ts:11

#####
Index

### Constructors

constructor

### Properties

nip04
nip44

### Methods

getPubkey
sign

##
Constructors

### constructor

- new Nip55Signer(packageName: string): Nip55Signer

- #### Parameters

  - packageName: string

  #### Returns Nip55Signer

  - Defined in packages/signer/src/signers/nip55.ts:19

##
Properties

### nip04

nip04: {
decrypt: (senderPubKey: string, message: string) => Promise<string>;
encrypt: (recipientPubKey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip04

- Defined in packages/signer/src/signers/nip55.ts:82

### nip44

nip44: {
decrypt: (senderPubKey: string, message: string) => Promise<string>;
encrypt: (recipientPubKey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip44

- Defined in packages/signer/src/signers/nip55.ts:113

##
Methods

### getPubkey

- getPubkey(): Promise<string>

- #### Returns Promise<string>

  Implementation of ISigner.getPubkey

  - Defined in packages/signer/src/signers/nip55.ts:50

### sign

- sign(template: StampedEvent ): Promise< SignedEvent >

- #### Parameters

  - template: StampedEvent

  #### Returns Promise< SignedEvent >

  Implementation of ISigner.sign

  - Defined in packages/signer/src/signers/nip55.ts:66